## golang-github-twin-whois 1.1.10

=== debian/changelog ===
golang-github-twin-whois (1.1.10-2) sid; urgency=medium

  * Harmonizing upload need in initial changelog entry.
  * Using codename instead of suitname in changelog.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 May 2025 20:29:43 +0200

golang-github-twin-whois (1.1.10-1) sid; urgency=low

  * Initial upload to sid, needed for gatus.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 May 2025 06:08:40 +0200

## golang-github-twin-whois 1.2.0

=== Makefile ===
.PHONY: build-binaries

build-binaries:
	./scripts/build.sh

## golang-github-twin-whois 1.1.11

=== debian/changelog ===
golang-github-twin-whois (1.1.11-1) sid; urgency=medium

  * Merging upstream version 1.1.11.

 -- Daniel Baumann <daniel@debian.org>  Fri, 04 Jul 2025 07:51:36 +0200

=== debian/control ===
Source: golang-github-twin-whois
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/TwiN/whois
Vcs-Browser: https://forgejo.debian.net/golang/golang-github-twin-whois
Vcs-Git: https://forgejo.debian.net/golang/golang-github-twin-whois
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/TwiN/whois

Package: golang-github-twin-whois-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: WHOIS client (Go library)
 Lightweight Go library for retrieving WHOIS information on a domain.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_install:
	# removing unused files
	rm -rf debian/golang-github-twin-whois-dev/usr/bin
	rm -rf debian/golang-github-twin-whois-dev/usr/share/gocode/src/github.com/TwiN/whois/cmd

override_dh_auto_test:
	# disabled (needs network)

## golang-github-twin-whois 1.2.0

=== debian/changelog ===
golang-github-twin-whois (1.2.0-1) sid; urgency=medium

  * Merging upstream version 1.2.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:07:01 +0200

=== debian/watch ===
version=4
https://github.com/TwiN/whois/tags .*/v?(\d.*)@ARCHIVE_EXT@

## golang-github-twin-whois 1.3.0

=== debian/changelog ===
golang-github-twin-whois (1.3.0-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Updating to standards version 4.7.3.
  * Merging upstream version 1.3.0.
  * Updating years in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Sat, 07 Feb 2026 06:44:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-any,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/TwiN/whois
 Vcs-Browser: https://forgejo.debian.net/golang/golang-github-twin-whois
 Vcs-Git: https://forgejo.debian.net/golang/golang-github-twin-whois
